﻿<?xml version="1.0" encoding="utf-8"?>
<data>
  <DataType Name="Data Types7" BaseType="" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="">
    <DataType Name="UDT_MACHINE_CONDITION" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="111" OffsetType="NJ">
      <DataType Name="xVirtualMode" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xInitDone" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Init done" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xSetupInitDone" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Setup init done" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xPackMLReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="PackML ready" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFileGlobalParReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Global parameters file restore ready" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFileConfigParReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Configuration parameters file restore ready" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFileRecipeParReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Recipe parameters file restore ready" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFileRetainParReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Retain parameters file restore ready" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFilesReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Alla files ready / retain data ready" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEstop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Estop alarm" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xStop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Stop alarm" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xJogStopped" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Jog stop alarm" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xWarning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Warning " OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEstopOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Safety estop ok" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xGuardOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Safety guards ok" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xLightCurtainOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Safety light curtain ok" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAllSafetiesOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="All safeties ok" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAllDriveDisabled" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="All drive are powerd off" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAnyExternalStopRequest" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xJogPressed" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAnyStartPressed" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAnyStopPressed" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAnyResetPressed" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAnyHomeRequest" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAnyAxisFault" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAnyAbortFault" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAcousticWarningTimeExpired" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xManFilmPressed" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAutoPermissive" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xManualPermissive" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xManualAxisJogTimeout" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xJogPermissive" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xRunning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Machine running" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xHomeDone" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Machine running" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xStopped" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Machine stopped" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xHeatersOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xPowerOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAirPressureFault" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xProducePermissive" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xProductIncoming" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xUpstreamRunStandby" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xDownstreamRunStandby" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_MACHINE_STATUS" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="110" OffsetType="NJ">
      <DataType Name="xSystemReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrBusRate_ms" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="etCurrentMode" BaseType="ET_OMAC_MODE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="etCurrentState" BaseType="ET_OMAC_STATE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="diCurrentMode" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="diCurrentState" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stTimeout" BaseType="nsPackml\UDT_OMAC_TIMEOUT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="axFaultLog" BaseType="ARRAY[0..255] OF bool" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Main fault log" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="axEM01_FaultLog" BaseType="ARRAY[0..255] OF bool" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="EM01 fault log" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="axEM02_FaultLog" BaseType="ARRAY[0..255] OF bool" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="EM02 fault log" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_MACHINE_COMMAND" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="109" OffsetType="NJ">
      <DataType Name="xErrorQuit" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFastStop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Abort: Machine fast stops in any position" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xStartingAcousticWarning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xHotSealingWheelsClose" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFormingBoxVacuumPumpRun" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFilmJog" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xUpstreamConveyorRun" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xDownstreamConveyorRun" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xVibratorsStart" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xGuardLock" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrSpeedSP" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_MACHINE_OPTIONS" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="108" OffsetType="NJ">
      <DataType Name="xReelUnwinder" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Film reels unwinder present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xDwellAngleEnable" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Entry and leave angles parameters active" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAirSuctionInPackage" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Forming box Vacuum pump present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFilmOverlappedackagesCutDisable" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Disable the cut for packages with film overlapped" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xGussetWithAir" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Jaws gusset with air present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xNoPrNoBagOrPrime" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = No product no bag or prime function present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xNoGapNoSeal" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = No bag no seal function present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xExitBeltReject" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Packs rejection on exit belt present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAutomReelsSplicing" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Film reels automatic splicing present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xTrackChain" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Track chain present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xExitBelt" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Exit belt present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xPrimeFunctionEnable" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Film &amp; chain prime function active" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xPrimePhotoeyeWindowed" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = The product position read by the photoeye  must fall within the specified Min and Max Position limits to be accepted as a valid event" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xRecipeManualSave" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Change of a parameter doesn't update automatically the active recipe, but need a manual operation" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xServiceKit" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="True = Service kit function present" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFilmTensionClosedLoop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="0= Open loop / 1= closed loop (encoder)" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEM02Existing" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Stream existing" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEM03Existing" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="BRL existing" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
  </DataType>
</data>